---
title: "All order activity"
url: https://docs.truemarkets.co/api/institutional/get-orders-activity-plural-cefi
description: "Fetches all activity (trades, confirms, rejects, cancels, modifications) for a client's orders."
---

Docs index: https://docs.truemarkets.co/llms.txt

# All order activity

Fetches all activity (trades, confirms, rejects, cancels, modifications) for a client's orders.

## Request

```
GET https://api.truex.co/v1/cefi/orders/activity
```

### Authentication

Bearer token in `Authorization`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-truex-auth-timestamp` | header | string | yes | Timestamp when request was made in seconds since epoch. Must be no older than 15 seconds and no more than 1 second in the future. It guards against replayed requests. |
| `size` | query | string | no | Number of records to return per page. Maximum allowed value is 100. |
| `skip` | query | string | no | Number of records to skip before returning results. |
| `timestamp` | query | string | yes | A Unix UTC timestamp in nanoseconds used as a reference point for fetching activity. |
| `client_id` | query | string | no | Comma-separated list of client IDs to filter results. |
| `order_id` | query | string | no | Comma-separated list of order IDs to filter results. |
| `msg_type` | query | string | no | Comma-separated list of activity message types to filter results (e.g., REPORT_TRADE,REPORT_CONFIRM). |

## Responses

Every error status returns the same body, described in [Errors](https://docs.truemarkets.co/developer-resources/errors.md).

### 200

Successful operation.

Type: array of one of: object \| object \| object \| object \| object \| object \| object \| object

### 400

Bad request.

### 401

Unauthorized.

### 403

Forbidden.

### 408

Request timeout.

### 415

Unsupported media type.

### 500

Internal server error.

### 503

Service unavailable.
